<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Periode Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'anggaran', periodeanggaran_id]">Kegiatan</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Detail</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Detail Kegiatan </h5>
            </div>
            <div class="card-block">
                
                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div> 

                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h3 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Kegiatan</b></h3>
                    </div>
                    <div class="col-sm-8 col-xl-8"> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 46%; "><strong>Nama Kegiatan (Singkatan)</strong></td>
                                <td style="width: 54%; ">{{dataProgram.nama}}</td>
                            </tr>
                            <tr>
                                <td><strong>Nama Kegiatan (Kepanjangan)</strong></td>
                                <td>{{dataProgram.nama_lain}}</td>
                            </tr>
                            <tr>
                                <td><strong>OPD</strong></td>
                                <td>{{dataProgram.dinas.nama}}</td>
                            </tr>   
                            <tr>
                                <td><strong>Deskripsi</strong></td>
                                <td><span>{{dataProgram.deskripsi}}</span></td>
                            </tr>
                        </table>
                    </div>
                    
                    <div class="col-sm-4 col-xl-4 text-center">
                        <div style="text-align: center;">
                            <img class="img-200 text-center" [src]="dataProgram.logo" style="max-height: 140px; width: auto; "/>
                        </div> 
                    </div>
                    
                    <!-- <div class="col-sm-12 col-xl-12">
                        <br/> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>&nbsp;</strong></td>
                                <td style="width: 70%;"><span></span></td>
                            </tr>
                            <tr>
                                <td ><strong>PIC ASN</strong></td>
                                <td ><span *ngFor="let row of dataProgram.pic_asn.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>PIC NON ASN</strong></td>
                                <td><span *ngFor="let row of dataProgram.pic_non_asn.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>TAJJ</strong></td>
                                <td><span *ngFor="let row of dataProgram.tajj.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>Fasilitator</strong></td>
                                <td><span *ngFor="let row of dataProgram.fasilitator.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>Mitra</strong></td>
                                <td><span *ngFor="let row of dataProgram.mitra.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                                
                            <tr>
                                <td><strong>Problem Statement</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.problem.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Ultimate Goal</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.goal.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Dampak Output</strong></td>
                                <td> 
                                    {{dataProgram.dampak_pendek}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Outcome</strong></td>
                                <td> 
                                    {{dataProgram.dampak_menengah}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Impact</strong></td>
                                <td> 
                                    {{dataProgram.dampak_panjang}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Facebook</strong></td>
                                <td> 
                                    <a href="{{dataProgram.url_facebook}} ">{{dataProgram.url_facebook}}</a> 
                                </td>
                            </tr>
                            <tr> 
                                <td><strong>Instagram</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_instagram}} ">{{dataProgram.url_instagram}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Twitter</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_twitter}} ">{{dataProgram.url_twitter}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Youtube</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_youtube}} ">{{dataProgram.url_youtube}}</a> 
                                </td>
                            </tr>  
                        </table> 
                    </div>  --> 
                </div> 

                    
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Periode Anggaran</b></h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">  
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Periode</strong></td>
                                <td style="width: 70%; "><span>{{dataPeriodeAnggaran.periode.tahun}}</span></td>
                            </tr>
                            <tr *ngIf="dataKegiatan.kategori === 'apbd'">
                                <td><strong>Total Anggaran APBD</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.apbd)}}</span></td>
                            </tr>
                            <tr *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                <td><strong>Total Anggaran Non APBD</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.nonapbd)}}</span></td>
                            </tr>
                            <!-- <tr *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                <td><strong>Sumber Non APBD</strong></td>
                                <td><span>{{dataPeriodeAnggaran.sumber}}</span></td>
                            </tr> -->
                            <!-- <tr>
                                <td><strong>Total Rencana</strong></td>
                                <td><span>{{convert.formatRupiah(dataPeriodeAnggaran.total_anggaran)}}</span></td>
                            </tr> -->
                            <!-- <tr>
                                <td><strong>Serapan</strong></td>
                                <td>{{convert.formatRupiah(pencapaianPeriodeKuantitas)}} ({{pencapaianPeriodePersen}}%)</td>
                            </tr>  -->
                            <!-- <tr>
                                <td><strong>Keterangan</strong></td>
                                <td><span>{{dataPeriodeAnggaran.keterangan}}</span></td>
                            </tr> -->
                        </table>
                    </div>     
                </div>

                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;">
                            <b>Kegiatan</b>
                            <b *ngIf="dataKegiatan.kategori === 'nonapbd'">Non APBD</b> 
                            <b *ngIf="dataKegiatan.kategori === 'apbd'">APBD</b>
                        </h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">  
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Kegiatan</strong> </td>
                                <td style="width: 70%; "><span>{{dataKegiatan.kegiatan}}</span></td>
                            </tr>  
                            <tr>
                                <td><strong>Anggaran</strong></td>
                                <td><span>{{convert.formatRupiah(dataKegiatan.anggaran)}}</span></td>
                            </tr> 
                            <tr>
                                <td><strong>Serapan</strong></td>
                                <td>{{convert.formatRupiah(pencapaianKegiatanKuantitas)}} ({{pencapaianKegiatanPersen}}%)</td>
                            </tr> 
                            <!-- <tr>
                                <td><strong>Keterangan</strong></td>
                                <td><span>{{dataKegiatan.keterangan}}</span></td>
                            </tr> -->
                        </table>
                    </div>     
                </div>
                   
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Rencana Serapan </b></h2>
                    </div>
                    
                    <ng-container *ngIf="dataKegiatan.kategori === 'nonapbd'">
                    <div class="col-sm-6 col-xl-6">
                        <button type="button" *ngIf="is_add === true" class="btn btn-sm btn-success" (click)="showPanelLapAnggaranPlanAdd.show()" [disabled]="disableTextbox"> <i class="icofont icofont-plus"></i>Tambah Laporan Rencana Anggaran</button> 
                        <br>
                        <br>
                        <app-modal-basic #showPanelLapAnggaranPlanAdd [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Tambah Laporan Rencana Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranPlanAdd.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaranPlan" (ngSubmit)="showPanelLapAnggaranPlanAdd.hide(); onSubmitAddPlan();" (keydown.enter)="$event.preventDefault()"> 
          
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('bulan').valid && myFormLapAnggaranPlan.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Rencana Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersenPlan($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('serapan').valid && myFormLapAnggaranPlan.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('persen').valid && myFormLapAnggaranPlan.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('keterangan').valid && myFormLapAnggaranPlan.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranPlanAdd.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaranPlan.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic>
                        <app-modal-basic #showPanelLapAnggaranPlanEdit [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Edit Laporan Rencana Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranPlanEdit.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaranPlan" (ngSubmit)="showPanelLapAnggaranPlanEdit.hide(); onSubmitEditPlan();" (keydown.enter)="$event.preventDefault()"> 
          
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('bulan').valid && myFormLapAnggaranPlan.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Rencana Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersenPlan($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('serapan').valid && myFormLapAnggaranPlan.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('persen').valid && myFormLapAnggaranPlan.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('keterangan').valid && myFormLapAnggaranPlan.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranPlanEdit.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaranPlan.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic>
                        <app-modal-basic #showPanelLapAnggaranPlanVerifikasi [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Verifikasi Laporan Rencana Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranPlanVerifikasi.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaranPlan" (ngSubmit)="showPanelLapAnggaranPlanVerifikasi.hide(); onSubmitVerifikasiPlan();" (keydown.enter)="$event.preventDefault()"> 
          
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('bulan').valid && myFormLapAnggaranPlan.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Rencana Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersenPlan($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('serapan').valid && myFormLapAnggaranPlan.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('persen').valid && myFormLapAnggaranPlan.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('keterangan').valid && myFormLapAnggaranPlan.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan Verifikasi</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan Verifikasi" formControlName="keterangan_verifikasi" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaranPlan.get('keterangan_verifikasi').valid && myFormLapAnggaranPlan.get('keterangan_verifikasi')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranPlanVerifikasi.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaranPlan.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic>
                    </div> 
                    </ng-container>    
                    <div class="col-sm-12 col-xl-12"> 
                        <table class="table table-bordered   table-hover">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Periode / Bulan</th>
                                    <th>Serapan</th>
                                    <th>Persentase</th>
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Status</th>
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Keterangan</th> 
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Aksi</th> 
                                </tr>
                            </thead>
                            <tbody> 
                                <tr *ngFor="let row of dataLapAnggaranPlan; let i = index;">
                                    <td>{{i+1}}</td>
                                    <td>{{row.bulan}}</td>
                                    <td>{{convert.formatRupiah(row.serapan)}}</td>
                                    <td>{{row.persen}}%</td>
                                    <td class="center" *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                            <span *ngIf="row.is_verified === true" class="label-md bg-success">&nbsp;&nbsp;Sudah diverifikasi&nbsp;</span>
                                            <span *ngIf="row.is_verified === false" class="label-md bg-danger">&nbsp;&nbsp;Belum diverifikasi&nbsp;&nbsp;</span>
                                        </td> 
                                    <td class="left" *ngIf="dataKegiatan.kategori === 'nonapbd'">{{row.keterangan}}</td> 
                                    <td class="center" *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                        <!-- <button type="button" *ngIf="is_detail === true" (click)="showLapAnggaranDetail(row)" class="btn btn-info btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Detail"><i class="icofont icofont-search" style="margin-right: 0px;"></i></button>  -->
                                        <button type="button" *ngIf="is_verifikasi === true" (click)="showLapAnggaranPlanVerifikasi(row)" [disabled]="row.is_verified === true" class="btn btn-inverse btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Verifikasi"><i class="icofont icofont-ui-check" style="margin-right: 0px;"></i></button> 
                                        <button type="button" *ngIf="is_edit === true" (click)="showLapAnggaranPlanEdit(row)" [disabled]="row.is_verified === true" class="btn btn-warning btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Edit"><i class="icofont icofont-pencil-alt-2" style="margin-right: 0px;" ></i></button> 
                                        <button type="button" *ngIf="is_delete === true" (click)="showLapAnggaranPlanDelete($event, row)" [disabled]="row.is_verified === true" class="btn btn-danger btn-mini waves-effect waves-light" ngbTooltip="Delete" container="body" placement="top" ngbTooltip="Hapus"><i class="icofont icofont-trash" style="margin-right: 0px;" ></i></button>
                                    </td>  
                                </tr> 
                            </tbody>
                        </table>
                    </div>   
                        
                </div>


                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Realisasi Serapan</b></h2>
                    </div>
                    
                    <ng-container *ngIf="dataKegiatan.kategori === 'nonapbd'">
                    <div class="col-sm-6 col-xl-6">
                        <button type="button" *ngIf="is_add === true" class="btn btn-sm btn-success" (click)="showPanelLapAnggaranAdd.show()" [disabled]="disableTextbox"> <i class="icofont icofont-plus"></i>Tambah Laporan Realisasi Anggaran</button> 
                        <br>
                        <br> 
                        <app-modal-basic #showPanelLapAnggaranAdd [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Tambah Laporan Realisasi Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranAdd.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaran" (ngSubmit)="showPanelLapAnggaranAdd.hide(); onSubmitAdd();" (keydown.enter)="$event.preventDefault()"> 
            
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('bulan').valid && myFormLapAnggaran.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Realisasi Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersen($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('serapan').valid && myFormLapAnggaran.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('persen').valid && myFormLapAnggaran.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('keterangan').valid && myFormLapAnggaran.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranAdd.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaran.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic> 
                        <app-modal-basic #showPanelLapAnggaranEdit [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Edit Laporan Realisasi Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranEdit.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaran" (ngSubmit)="showPanelLapAnggaranEdit.hide(); onSubmitEdit();" (keydown.enter)="$event.preventDefault()"> 
            
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('bulan').valid && myFormLapAnggaran.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Realisasi Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersenPlan($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('serapan').valid && myFormLapAnggaran.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('persen').valid && myFormLapAnggaran.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('keterangan').valid && myFormLapAnggaran.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranEdit.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaran.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic>
                        <app-modal-basic #showPanelLapAnggaranVerifikasi [dialogClass]="'modal-lg'">
                            <div class="app-modal-header">
                                <h4 class="modal-title">Verifikasi Laporan Realisasi Serapan Anggaran </h4>
                                <button type="button" class="close basic-close" (click)="showPanelLapAnggaranVerifikasi.hide()">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="app-modal-body">
                                <form class="md-float-material" [formGroup]="myFormLapAnggaran" (ngSubmit)="showPanelLapAnggaranVerifikasi.hide(); onSubmitVerifikasi();" (keydown.enter)="$event.preventDefault()"> 
            
                                <div class="row">
                                    <!-- <div class="col-sm-12 col-xl-12">
                                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                                    </div> -->
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Bulan Serapan</label>
                                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                                            <option value="">-- Pilih Bulan --</option>
                                            <option value="Januari">Januari</option>
                                            <option value="Februari">Februari</option>
                                            <option value="Maret">Maret</option>
                                            <option value="April">April</option>
                                            <option value="Mei">Mei</option>
                                            <option value="Juni">Juni</option>
                                            <option value="Juli">Juli</option>
                                            <option value="Agustus">Agustus</option>
                                            <option value="September">September</option>
                                            <option value="Oktober">Oktober</option>
                                            <option value="November">November</option>
                                            <option value="Desember">Desember</option> 
                                        </select>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('bulan').valid && myFormLapAnggaran.get('bulan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div> 
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Realisasi Serapan</label>
                                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersenPlan($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('serapan').valid && myFormLapAnggaran.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-6 col-xl-6">
                                        <label class="col-form-label">Persentase</label>
                                        <div class="input-group">
                                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                                            <span class="input-group-addon" id="basic-addon8">%</span>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('persen').valid && myFormLapAnggaran.get('persen')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>   
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('keterangan').valid && myFormLapAnggaran.get('keterangan')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                                    <div class="col-sm-12 col-xl-12">
                                        <label class="col-form-label">Keterangan Verifikasi</label> 
                                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan Verifikasi" formControlName="keterangan_verifikasi" style="height: 100px;"></textarea>
                                        <span class="messages text-danger" *ngIf="!myFormLapAnggaran.get('keterangan_verifikasi').valid && myFormLapAnggaran.get('keterangan_verifikasi')">* Harus diisi</span>
                                        <span class="md-line"></span> 
                                    </div>
                    
                                </div> 
                                <br>
                                <div class="row">
                                    <div class="col-sm-6 col-xl-6">
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showPanelLapAnggaranVerifikasi.hide()"><i class="icofont icofont-error"></i>Batal</button>
                                    </div>
                                    <div class="col-sm-3 col-xl-3">
                                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myFormLapAnggaran.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                                    </div>
                                </div>
                                
                                </form>
                            </div> 
                        </app-modal-basic>
                    </div> 
                    </ng-container>
                    <div class="col-sm-12 col-xl-12"> 
                        <table class="table table-bordered   table-hover">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Periode / Bulan</th>
                                    <th>Serapan</th>
                                    <th>Persentase</th>
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Status</th>
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Keterangan</th> 
                                    <th *ngIf="dataKegiatan.kategori === 'nonapbd'">Aksi</th> 
                                </tr>
                            </thead>
                            <tbody> 
                                <tr *ngFor="let row of dataLapAnggaran; let i = index;">
                                    <td>{{i+1}}</td>
                                    <td>{{row.bulan}}</td>
                                    <td>{{convert.formatRupiah(row.serapan)}}</td>
                                    <td>{{row.persen}}%</td>
                                    <td class="center" *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                            <span *ngIf="row.is_verified === true" class="label-md bg-success">&nbsp;&nbsp;Sudah diverifikasi&nbsp;</span>
                                            <span *ngIf="row.is_verified === false" class="label-md bg-danger">&nbsp;&nbsp;Belum diverifikasi&nbsp;&nbsp;</span>
                                        </td> 
                                    <td class="left" *ngIf="dataKegiatan.kategori === 'nonapbd'">{{row.keterangan}}</td> 
                                    <td class="center" *ngIf="dataKegiatan.kategori === 'nonapbd'">
                                        <!-- <button type="button" *ngIf="is_detail === true" (click)="showLapAnggaranDetail(row)" class="btn btn-info btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Detail"><i class="icofont icofont-search" style="margin-right: 0px;"></i></button>  -->
                                        <button type="button" *ngIf="is_verifikasi === true" (click)="showLapAnggaranVerifikasi(row)" [disabled]="row.is_verified === true" class="btn btn-inverse btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Verifikasi"><i class="icofont icofont-ui-check" style="margin-right: 0px;"></i></button> 
                                        <button type="button" *ngIf="is_edit === true" (click)="showLapAnggaranEdit(row)" [disabled]="row.is_verified === true"class="btn btn-warning btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Edit"><i class="icofont icofont-pencil-alt-2" style="margin-right: 0px;" ></i></button> 
                                        <button type="button" *ngIf="is_delete === true" (click)="showLapAnggaranDelete($event, row)" [disabled]="row.is_verified === true" class="btn btn-danger btn-mini waves-effect waves-light" ngbTooltip="Delete" container="body" placement="top" ngbTooltip="Hapus"><i class="icofont icofont-trash" style="margin-right: 0px;" ></i></button>
                                    </td>  
                                </tr> 
                            </tbody>
                        </table>
                    </div>   
                        
                </div>
                 
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
